package com.om.controller.user;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.AppDTO;
import com.om.entity.vo.AppSDKVO;
import com.om.entity.vo.AppUpdateVO;
import com.om.service.IAppsClientsService;
import com.om.service.IAppsService;
import com.om.service.IVciInfoService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@Api(tags = "APP模块")
@RequestMapping("app/app-info")
public class APPController {

    @Resource
    private IAppsService appsService;
    @ApiOperation("app更新")
    @PostMapping("/update")
    public Result<AppUpdateVO> AppUpdate(@RequestBody AppDTO dto){
        return appsService.AppUpdate(dto);
    }

}
