package com.om.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
public class BrandQueryPageDTO {
    @ApiModelProperty(value = "当前页码")
    private Integer pageIndex;

    @ApiModelProperty(value = "每个页码的大小")
    private Integer pageSize;

    @ApiModelProperty(value = "搜索字段---搜索品牌中文名")
    private String searchCn;

    @ApiModelProperty(value = "搜索字段---搜索品牌英文名")
    private String searchEn;
}
