package com.om.controller.user;


import com.om.entity.dto.AppDiagLogDTO;
import com.om.entity.dto.DiaLogQueryPageDTO;
import com.om.entity.vo.DiaLogQueryPageVO;
import com.om.service.IDiagnosticLogService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@Api(tags = "诊断日志相关接口")
@RequestMapping("/web/diagnostic-log")
public class APPDiagnosticLogController {

    @Resource
    private IDiagnosticLogService diagnosticLogService;

    @ApiOperation("诊断日志上传")
    @PostMapping
    public Result updateDiagLog(@RequestBody AppDiagLogDTO dto){
        return diagnosticLogService.updateDiagLog(dto);
    }
}
