package com.om.controller.user;


import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.AppSecurityLogDTO;
import com.om.service.ISecurityLogService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-04-27
 */
@RestController
@Api(tags = "安全日志")
@RequestMapping("app/security-log")
public class APPSecurityLogController {

    @Resource
    private ISecurityLogService securityLogService;

    @ApiOperation("上传安全日志")
    @PostMapping("updateLog")
    public Result updateLog(AppSecurityLogDTO dto) {
        return securityLogService.updateLog(dto);
    }

}
