package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("brush_description")
@ApiModel(value="BrushDescription对象", description="")
public class BrushDescription implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "刷写文件描述主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "刷写文件id")
    private Integer brushId;

    @ApiModelProperty(value = "语言")
    private String language;

    @ApiModelProperty(value = "版本描述")
    private String description;


}
