package com.om.entity.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author bmmx
 * @since 2024-03-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sdk_version_describe")
@ApiModel(value="SdkVersionDescribe对象", description="")
public class SdkVersionDescribe implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "sdk_version_describe_id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "sdk ID")
    private Integer sdkId;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "语言")
    private String language;


}
